Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Dmitry Gutov <[email-masked]>
Date: Tue, 16 Jan 2024 19:45:17 +0200

On 16/01/2024 12:34, João Távora wrote:
> I see no real categorization or classification.  I just see
> a many-to-one mapping of major modes to languages.

It might even be many-to-many, at least in some cases.

E.g. js-ts-mode being good for both :js and :jsx.
Whileas typescript-ts-mode can work for :js and :typescript but not :jsx 
(or :tsx).
tsx-ts-mode is probably okay for both :tsx, :jsx and :js but not 
:typescript (in general, because of certain clashing syntax).

Not sure how useful this -to-many relation is going to be in the above 
cases, but it's probably a good illustration of the possibility.